Error executing command: Could not start bundle mvn:org.opendaylight.yangtools.model/iana-if-type-2014-05-08/2014.05.08.8-SNAPSHOT Reason: Package uses conflict

asked 2015-05-15 02:46:32 -0700

odl_learn gravatar image

Hi

I am created a test mdsal karaf feature using mdsal archetype which works fine when i follow the steps provided. The same feature when installed on latest Helium release SR3 fails by throwing followin error, Error executing command: Could not start bundle mvn:org.opendaylight.yangtools.model/iana-if-type-2014-05-08/2014.05.08.8-SNAPSHOT in feature(s) odl-yangtools-models-0.8.0-SNAPSHOT: The bundle "org.opendaylight.yangtools.model.iana-if-type-2014-05-08_2014.5.8.8-SNAPSHOT [586]" could not be resolved. Reason: Package uses conflict: Import-Package: org.opendaylight.yang.gen.v1.urn.ietf.params.xml.ns.yang.ietf.interfaces.rev140508; version="[2014.5.0,2015.0.0)"

Any help in fixing this is appreciated. Thanks in advance.

edit retag flag offensive close merge delete